import { usePrimeVue } from "primevue/config";
import { computed } from "vue";
export function useFormKitInput(context) {
  const isInvalid = computed(() => {
    return context?.state.validationVisible && !context?.state.valid;
  });
  const styleClass = computed(() => {
    return context?.state.validationVisible && !context?.state.valid ? `${context?.attrs?.class} p-invalid` : context?.attrs?.class;
  });
  function isGlobalUnstyledMode() {
    let result = false;
    try {
      const primevue = usePrimeVue();
      result = primevue?.config?.unstyled || false;
    } catch (e) {
    }
    return result;
  }
  const unstyled = computed(() => {
    return context?.unstyled ?? isGlobalUnstyledMode();
  });
  function handleBlur(event) {
    context?.handlers.blur(event);
  }
  function handleChange(_) {
    context?.node.input(context?._value);
  }
  function handleInput(_) {
    context?.node.input(context?._value);
  }
  function handleSelect(e) {
    context?.node.input(e);
  }
  return { isInvalid, styleClass, unstyled, handleBlur, handleChange, handleInput, handleSelect };
}
